Index: trunk/LMDZ.TITAN/libf/phytitan/ini_histmth.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/ini_histmth.h	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/ini_histmth.h	(revision 1530)
@@ -22,14 +22,14 @@
 
          CALL histdef(nid_mth, "phis", "Surface geop. height", "-",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "once",  zsto,zout)
 
          CALL histdef(nid_mth, "aire", "Grid area", "-",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "once",  zsto,zout)
 
 ccccccc axe Ls
          CALL histdef(nid_mth, "ls", "Solar longitude", "degrees",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto,zout)
 
@@ -37,17 +37,17 @@
 
          CALL histdef(nid_mth, "tsol", "Surface Temperature", "K",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "psol", "Surface Pressure", "Pa",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto,zout)
 
 c        CALL histdef(nid_mth, "ue", "Zonal energy transport", "-",
-c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+c    .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "ave(X)", zsto,zout)
 
 c        CALL histdef(nid_mth, "ve", "Merid energy transport", "-",
-c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+c    .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "ave(X)", zsto,zout)
 
@@ -60,41 +60,41 @@
 
          CALL histdef(nid_mth, "temp", "Air temperature", "K",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "pres", "Air pressure", "Pa",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "geop", "Geopotential height", "m",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "vitu", "Zonal wind", "m/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "vitv", "Meridional wind", "m/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "vitw", "Vertical wind", "Pa/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
 c        CALL histdef(nid_mth, "Kz", "vertical diffusion coef", "m2/s",
-c    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+c    .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "tops", "Solar rad. at TOA", "W/m2",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto1,zout)
 
          CALL histdef(nid_mth, "duvdf", "Boundary-layer dU", "m/s2",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "dudyn", "Dynamics dU", "m/s2",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
@@ -105,88 +105,88 @@
 c           DO iq=1,nmicro
 c             CALL histdef(nid_mth, tname(iq), ttext(iq), "n/m2",
-c     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+c     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
 c     .                "ave(X)", zsto,zout)
 c           ENDDO
              CALL histdef(nid_mth, "qaer","nb tot aer" , "n/m2",
-     .                    iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                    nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
 
             if (clouds.eq.1) then
              CALL histdef(nid_mth, "qnoy","nb tot noy" , "n/m2",
-     .                    iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                    nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
              CALL histdef(nid_mth, "qgl1","V tot gl1" , "m3/m2",
-     .                    iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                    nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
              CALL histdef(nid_mth, "qgl2","V tot gl2" , "m3/m2",
-     .                    iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                    nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
              CALL histdef(nid_mth, "qgl3","V tot gl3" , "m3/m2",
-     .                    iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                    nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
 c--------------
 c ----- SATURATION ESP NUAGES
                CALL histdef(nid_mth,"ch4sat", "saturation CH4", "--",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"c2h6sat", "saturation C2H6", "--",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"c2h2sat", "saturation C2H2", "--",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c --------------
 c ----- RESERVOIR DE SURFACE
                CALL histdef(nid_mth, "reserv", "Reservoir surface","m",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32,
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
 c --------------
 c ----- ECHANGE GAZ SURF/ATM (evaporation)
                CALL histdef(nid_mth, "evapch4", "Evaporation CH4","m",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32,
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
 c --------------
 c ----- PRECIPITATIONS (precipitations moyennes)
                CALL histdef(nid_mth,"prech4","Precip CH4","um/s",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32,
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"prec2h6","Precip C2H6",
-     .                "um/s",iim,jj_nb,nhori, 1,1,1, nvert, 32,
+     .                "um/s",nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"prec2h2","Precip C2H2",
-     .                "um/s",iim,jj_nb,nhori, 1,1,1, nvert, 32,
+     .                "um/s",nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"prenoy","Precip NOY",
-     .                "um/s",iim,jj_nb,nhori, 1,1,1, nvert, 32,
+     .                "um/s",nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"preaer","Precip AER",
-     .                "um/s",iim,jj_nb,nhori, 1,1,1, nvert, 32,
+     .                "um/s",nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
 c --------------
 c ----- FLUX GLACE
                CALL histdef(nid_mth,"flxgl1", "flux gl CH4",
-     .              "kg/m2/s",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .              "kg/m2/s",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .              "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"flxgl2", "flux gl C2H6",
-     .              "kg/m2/s",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .              "kg/m2/s",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .              "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"flxgl3", "flux gl C2H2",
-     .              "kg/m2/s",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .              "kg/m2/s",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .              "ave(X)", zsto,zout)
 c --------------
 c ----- Source/puits GLACE
                CALL histdef(nid_mth,"solch4", "dQ gl CH4",
-     .              "m3/m3",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .              "m3/m3",nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .              "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"solc2h6", "dQ gl C2H6",
-     .              "m3/m3",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .              "m3/m3",nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .              "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"solc2h2", "dQ gl C2H2",
-     .              "m3/m3",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .              "m3/m3",nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .              "ave(X)", zsto,zout)
 c --------------
 c ----- RAYON DES GOUTTES
                CALL histdef(nid_mth,"rcldbar", "rayon moyen goutte",
-     .                "m",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                "m",nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
             endif
@@ -197,5 +197,5 @@
            DO iq=nmicro+1,nqmax
          CALL histdef(nid_mth, tname(iq), ttext(iq), "ppm",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
            ENDDO
@@ -203,5 +203,5 @@
 c          DO iq=nmicro+1,nqmax
 c        CALL histdef(nid_mth, "c_"//tname(iq), "c_"//ttext(iq),
-c    .        "ppm/s",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+c    .        "ppm/s",nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "ave(X)", zsto,zout)
 c          ENDDO
@@ -219,13 +219,13 @@
 
          CALL histdef(nid_mth, "topl", "IR rad. at TOA", "W/m2",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto1,zout)
 
          CALL histdef(nid_mth, "sols", "Solar rad. at surf.", "W/m2",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto1,zout)
 
          CALL histdef(nid_mth, "soll", "IR rad. at surface", "W/m2",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto1,zout)
 
@@ -233,41 +233,41 @@
 
          CALL histdef(nid_mth, "SWnet", "Net SW flux","W/m2",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "ave(X)", zsto1,zout)
 
 c        CALL histdef(nid_mth, "SWup", "upward SW flux","W/m2",
-c    .                iim,jj_nb,nhori, klev,1,klev,nvert,
+c    .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert,
 c    .                32, "ave(X)", zsto1,zout)
 
 c        CALL histdef(nid_mth, "SWdn", "downward SW flux","W/m2",
-c    .                iim,jj_nb,nhori, klev,1,klev,nvert,
+c    .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert,
 c    .                32, "ave(X)", zsto1,zout)
 
          CALL histdef(nid_mth, "LWnet", "Net LW flux","W/m2",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "ave(X)", zsto1,zout)
 
 c        CALL histdef(nid_mth, "LWup", "upward LW flux","W/m2",
-c    .                iim,jj_nb,nhori, klev,1,klev,nvert,
+c    .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert,
 c    .                32, "ave(X)", zsto1,zout)
 
 c        CALL histdef(nid_mth, "LWdn", "downward LW flux","W/m2",
-c    .                iim,jj_nb,nhori, klev,1,klev,nvert,
+c    .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert,
 c    .                32, "ave(X)", zsto1,zout)
 
          CALL histdef(nid_mth, "fluxvdf", "PBL net flux","W/m2",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "fluxdyn", "Dyn. net flux","W/m2",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "fluxajs", "Dry adj. net flux","W/m2",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "ave(X)", zsto,zout)
 
 c        CALL histdef(nid_mth, "fluxec", "Cin. net flux","W/m2",
-c    .                iim,jj_nb,nhori, klev,1,klev,nvert,
+c    .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert,
 c    .                32, "ave(X)", zsto,zout)
 
@@ -277,5 +277,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_mth,"thv"//str2,"Haze Opa Vis",
-     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "--",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
          ENDDO
@@ -284,5 +284,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_mth,"thi"//str2,"Haze Opa IR",
-     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "--",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
          ENDDO
@@ -293,5 +293,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_mth,"khv"//str2,"Haze ext Vis ",
-     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "m-1",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
          ENDDO
@@ -300,5 +300,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_mth,"khi"//str2,"Haze ext IR ",
-     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "m-1",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
          ENDDO
@@ -309,5 +309,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_mth,"tgv"//str2,"Gas Opa Vis",
-     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "--",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
          ENDDO
@@ -316,5 +316,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_mth,"tgi"//str2,"Haze Opa IR",
-     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "--",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
          ENDDO
@@ -325,5 +325,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_mth,"kgv"//str2,"Gas ext Vis ",
-     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "m-1",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
          ENDDO
@@ -332,5 +332,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_mth,"kgi"//str2,"Gas ext IR ",
-     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "m-1",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
          ENDDO
@@ -340,5 +340,5 @@
          if (clouds.eq.1) then
            CALL histdef(nid_mth,"tcld","Cld Opa proxy",
-     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "--",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto,zout)
 
@@ -346,5 +346,5 @@
 c ----- EXTINCTION NUAGES
            CALL histdef(nid_mth,"kcld","Cld Ext proxy",
-     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "m-1",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto,zout)
          endif
@@ -355,5 +355,5 @@
              write(str2,'(i2.2)') k
              CALL histdef(nid_mth,"occcld"//str2,"occ cld",
-     .       "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .       "--",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .       "ave(X)",zsto,zout)
            enddo
@@ -365,33 +365,33 @@
 
          CALL histdef(nid_mth, "dtdyn", "Dynamics dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "dtphy", "Physics dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "dtvdf", "Boundary-layer dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "dtajs", "Dry adjust. dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "dtswr", "SW radiation dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "dtlwr", "LW radiation dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
 c        CALL histdef(nid_mth, "dtec", "Cinetic dissip dT", "K/s",
-c    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+c    .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "ave(X)", zsto,zout)
 
 c        CALL histdef(nid_mth, "dvvdf", "Boundary-layer dV", "m/s2",
-c    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+c    .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "ave(X)", zsto,zout)
 
@@ -404,18 +404,18 @@
 c        call histdef(nid_mth, "taux", 
 c    $         "Zonal wind stress", "Pa",  
-c    $         iim,jj_nb,nhori, 1,1,1, nvert, 32,
+c    $         nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
 c    $         "ave(X)", zsto,zout)
 
 c        call histdef(nid_mth, "tauy", 
 c    $         "Meridional xind stress", "Pa",  
-c    $         iim,jj_nb,nhori, 1,1,1, nvert, 32,
+c    $         nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
 c    $         "ave(X)", zsto,zout)
 
 c        CALL histdef(nid_mth, "cdrm", "Momentum drag coef.", "-",
-c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+c    .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "ave(X)", zsto,zout)
 
 c        CALL histdef(nid_mth, "cdrh", "Heat drag coef.", "-",
-c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+c    .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "ave(X)", zsto,zout)
 
Index: trunk/LMDZ.TITAN/libf/phytitan/inicondens.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/inicondens.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/inicondens.F	(revision 1530)
@@ -10,6 +10,6 @@
 
       use dimphy
+      use mod_grid_phy_lmdz, only: nbp_lev
       IMPLICIT NONE
-#include "dimensions.h"
 #include "YOMCST.h"
 
@@ -17,6 +17,6 @@
 c    -----------
       INTEGER ny
-      real press(llm),temp(llm)  ! pressure in mbar !
-      REAL yc(llm,ny)
+      real press(nbp_lev),temp(nbp_lev)  ! pressure in mbar !
+      REAL yc(nbp_lev,ny)
       character*10 nomy(ny+1)
       
@@ -28,5 +28,5 @@
       do ic=1,ny
        print*, 'traceur CH(', ic, ')=', nomy(ic),'------------'
-           do l=1,llm
+           do l=1,nbp_lev
 
 c  Par defaut, yc est a 1 c'est a dire qu'on ne condense pas
Index: trunk/LMDZ.TITAN/libf/phytitan/iophy.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/iophy.F90	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/iophy.F90	(revision 1530)
@@ -24,10 +24,9 @@
 
   subroutine init_iophy_new(rlat,rlon)
-  USE dimphy
+  USE dimphy, only: klon
   USE mod_phys_lmdz_para
-  USE mod_grid_phy_lmdz
+  USE mod_grid_phy_lmdz, only: nbp_lon, nbp_lat, klon_glo
   USE ioipsl
   implicit none
-  include 'dimensions.h'   
     real,dimension(klon),intent(in) :: rlon
     real,dimension(klon),intent(in) :: rlat
@@ -51,27 +50,33 @@
     
 !$OMP MASTER  
-    ALLOCATE(io_lat(jjm+1-1/(iim*jjm)))
-    io_lat(1)=rlat_glo(1)
-    io_lat(jjm+1-1/(iim*jjm))=rlat_glo(klon_glo)
-    IF ((iim*jjm) > 1) then
-      DO i=2,jjm
-        io_lat(i)=rlat_glo(2+(i-2)*iim)
+    ALLOCATE(io_lat(nbp_lat))
+    IF (klon_glo == 1) THEN
+      io_lat(1)=rlat_glo(1)
+    ELSE
+      io_lat(1)=rlat_glo(1)
+      io_lat(nbp_lat)=rlat_glo(klon_glo)
+      DO i=2,nbp_lat-1
+        io_lat(i)=rlat_glo(2+(i-2)*nbp_lon)
       ENDDO
     ENDIF
 
-    ALLOCATE(io_lon(iim))
-    io_lon(:)=rlon_glo(2-1/(iim*jjm):iim+1-1/(iim*jjm))
+    ALLOCATE(io_lon(nbp_lon))
+    IF (klon_glo == 1) THEN
+      io_lon(1)=rlon_glo(1)
+    ELSE 
+      io_lon(1:nbp_lon)=rlon_glo(2:nbp_lon+1)
+    ENDIF
 
     ddid=(/ 1,2 /)
-    dsg=(/ iim, jjm+1-1/(iim*jjm) /)
-    dsl=(/ iim, jj_nb /)
+    dsg=(/ nbp_lon, nbp_lat /)
+    dsl=(/ nbp_lon, jj_nb /)
     dpf=(/ 1,jj_begin /)
-    dpl=(/ iim, jj_end /)
+    dpl=(/ nbp_lon, jj_end /)
     dhs=(/ ii_begin-1,0 /)
-    if (mpi_rank==mpi_size-1) then
+    IF (mpi_rank==mpi_size-1) THEN
       dhe=(/0,0/)
-    else
-      dhe=(/ iim-ii_end,0 /)  
-    endif
+    ELSE
+      dhe=(/ nbp_lon-ii_end,0 /)  
+    ENDIF
     
     call flio_dom_set(mpi_size,mpi_rank,ddid,dsg,dsl,dpf,dpl,dhs,dhe, &
@@ -85,9 +90,9 @@
   USE dimphy
   USE mod_phys_lmdz_para
-  use ioipsl
-  implicit none
-  include 'dimensions.h'   
-    real,dimension(iim),intent(in) :: lon
-    real,dimension(jjm+1-1/(iim*jjm)),intent(in) :: lat
+  use ioipsl, only: flio_dom_set
+  USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
+  implicit none
+    real,dimension(nbp_lon),intent(in) :: lon
+    real,dimension(nbp_lat),intent(in) :: lat
 
     INTEGER,DIMENSION(2) :: ddid
@@ -100,19 +105,19 @@
 
 !$OMP MASTER  
-    allocate(io_lat(jjm+1-1/(iim*jjm)))
+    allocate(io_lat(nbp_lat))
     io_lat(:)=lat(:)
-    allocate(io_lon(iim))
+    allocate(io_lon(nbp_lon))
     io_lon(:)=lon(:)
    
     ddid=(/ 1,2 /)
-    dsg=(/ iim, jjm+1-1/(iim*jjm) /)
-    dsl=(/ iim, jj_nb /)
+    dsg=(/ nbp_lon, nbp_lat /)
+    dsl=(/ nbp_lon, jj_nb /)
     dpf=(/ 1,jj_begin /)
-    dpl=(/ iim, jj_end /)
+    dpl=(/ nbp_lon, jj_end /)
     dhs=(/ ii_begin-1,0 /)
     if (mpi_rank==mpi_size-1) then
       dhe=(/0,0/)
     else
-      dhe=(/ iim-ii_end,0 /)  
+      dhe=(/ nbp_lon-ii_end,0 /)  
     endif
     
@@ -125,10 +130,9 @@
   
   subroutine histbeg_phy(name,itau0,zjulian,dtime,nhori,nid_day)
-  USE dimphy
-  USE mod_phys_lmdz_para
-  use ioipsl
+  USE mod_phys_lmdz_para, only: jj_begin, jj_end, jj_nb, is_sequential
+  USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
+  use ioipsl, only: histbeg
   use write_field
   implicit none
-  include 'dimensions.h'
     
     character*(*), intent(IN) :: name
@@ -141,9 +145,9 @@
 !$OMP MASTER    
     if (is_sequential) then
-      call histbeg(name,iim,io_lon, jj_nb,io_lat(jj_begin:jj_end), &
-                   1,iim,1,jj_nb,itau0, zjulian, dtime, nhori, nid_day)
+      call histbeg(name,nbp_lon,io_lon, jj_nb,io_lat(jj_begin:jj_end), &
+                   1,nbp_lon,1,jj_nb,itau0, zjulian, dtime, nhori, nid_day)
     else
-      call histbeg(name,iim,io_lon, jj_nb,io_lat(jj_begin:jj_end), &
-                   1,iim,1,jj_nb,itau0, zjulian, dtime, nhori, nid_day,phys_domain_id)
+      call histbeg(name,nbp_lon,io_lon, jj_nb,io_lat(jj_begin:jj_end), &
+                   1,nbp_lon,1,jj_nb,itau0, zjulian, dtime, nhori, nid_day,phys_domain_id)
     endif
 !$OMP END MASTER
@@ -154,11 +158,10 @@
              plon,plat,plon_bounds,plat_bounds, &
              nname,itau0,zjulian,dtime,nnhori,nnid_day)
-  USE dimphy
+  USE dimphy, only: klon
   USE mod_phys_lmdz_para
-  USE mod_grid_phy_lmdz
-  use ioipsl
-  use write_field
-  implicit none
-  include 'dimensions.h' 
+  USE mod_grid_phy_lmdz, only: klon_glo, nbp_lon, nbp_lat
+  use ioipsl, only: histbeg
+
+  implicit none
 
     real,dimension(klon),intent(in) :: rlon
@@ -186,6 +189,5 @@
     REAL, allocatable, dimension(:) :: npplat, npplon
     REAL, allocatable, dimension(:,:) :: npplat_bounds, npplon_bounds
-    INTEGER, PARAMETER :: jjmp1=jjm+1-1/jjm
-    REAL, dimension(iim,jjmp1) :: zx_lon, zx_lat
+    REAL, dimension(nbp_lon,nbp_lat) :: zx_lon, zx_lat
 
     CALL gather(rlat,rlat_glo)
@@ -212,10 +214,10 @@
      endif
 !
-     IF ( tabij(i).LE.iim) THEN
+     IF ( tabij(i).LE.nbp_lon) THEN
       plat_bounds(i,1)=rlat_glo(tabij(i))
      ELSE
-      plat_bounds(i,1)=rlat_glo(tabij(i)-iim)
+      plat_bounds(i,1)=rlat_glo(tabij(i)-nbp_lon)
      ENDIF
-     plat_bounds(i,2)=rlat_glo(tabij(i)+iim)
+     plat_bounds(i,2)=rlat_glo(tabij(i)+nbp_lon)
 !
 !    print*,'CFMIP_iophy point i lon lon_bds',i,plon_bounds(i,1),rlon_glo(tabij(i)),plon_bounds(i,2) 
@@ -233,12 +235,12 @@
      ENDDO
 
-       CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon_glo,zx_lon)
-       if ((iim*jjm).gt.1) then
-       DO i = 1, iim
+       CALL gr_fi_ecrit(1,klon,nbp_lon,nbp_lat,rlon_glo,zx_lon)
+       if ((nbp_lon*nbp_lat).gt.1) then
+       DO i = 1, nbp_lon
          zx_lon(i,1) = rlon_glo(i+1)
-         zx_lon(i,jjmp1) = rlon_glo(i+1)
+         zx_lon(i,nbp_lat) = rlon_glo(i+1)
        ENDDO
        endif
-       CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat_glo,zx_lat)
+       CALL gr_fi_ecrit(1,klon,nbp_lon,nbp_lat,rlat_glo,zx_lat)
 
     DO i=1,pim
@@ -249,9 +251,9 @@
 
      if (ipt(i).EQ.1) then
-      plon_bounds(i,1)=zx_lon(iim,jpt(i))
+      plon_bounds(i,1)=zx_lon(nbp_lon,jpt(i))
       plon_bounds(i,2)=360.+zx_lon(ipt(i)+1,jpt(i))
      endif
  
-     if (ipt(i).EQ.iim) then
+     if (ipt(i).EQ.nbp_lon) then
       plon_bounds(i,2)=360.+zx_lon(1,jpt(i))
      endif
@@ -265,7 +267,7 @@
      endif
  
-     if (jpt(i).EQ.jjmp1) then
-      plat_bounds(i,1)=zx_lat(ipt(i),jjmp1)+0.001
-      plat_bounds(i,2)=zx_lat(ipt(i),jjmp1)-0.001
+     if (jpt(i).EQ.nbp_lat) then
+      plat_bounds(i,1)=zx_lat(ipt(i),nbp_lat)+0.001
+      plat_bounds(i,2)=zx_lat(ipt(i),nbp_lat)-0.001
      endif
 !
@@ -323,9 +325,9 @@
  
   subroutine histwrite2d_phy(nid,lpoint,name,itau,field)
-  USE dimphy
+  USE dimphy, only: klon
   USE mod_phys_lmdz_para
-  USE ioipsl
-  implicit none
-  include 'dimensions.h'
+  USE ioipsl, only: histwrite
+  USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
+  implicit none
     
     integer,intent(in) :: nid
@@ -336,5 +338,5 @@
     REAL,dimension(klon_mpi) :: buffer_omp
     INTEGER, allocatable, dimension(:) :: index2d
-    REAL :: Field2d(iim,jj_nb)
+    REAL :: Field2d(nbp_lon,jj_nb)
 
     integer :: ip
@@ -347,7 +349,7 @@
     CALL grid1Dto2D_mpi(buffer_omp,Field2d)
     if(.NOT.lpoint) THEN
-     ALLOCATE(index2d(iim*jj_nb))
-     ALLOCATE(fieldok(iim*jj_nb))
-     CALL histwrite(nid,name,itau,Field2d,iim*jj_nb,index2d)
+     ALLOCATE(index2d(nbp_lon*jj_nb))
+     ALLOCATE(fieldok(nbp_lon*jj_nb))
+     CALL histwrite(nid,name,itau,Field2d,nbp_lon*jj_nb,index2d)
     else
      ALLOCATE(fieldok(npstn))
@@ -378,10 +380,9 @@
 
   subroutine histwrite3d_phy(nid,lpoint,name,itau,field)
-  USE dimphy
+  USE dimphy, only: klon
   USE mod_phys_lmdz_para
-
-  use ioipsl
-  implicit none
-  include 'dimensions.h'
+  USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
+  use ioipsl, only: histwrite
+  implicit none
     
     integer,intent(in) :: nid
@@ -391,5 +392,5 @@
     real,dimension(:,:),intent(in) :: field  ! --> field(klon,:)
     REAL,dimension(klon_mpi,size(field,2)) :: buffer_omp
-    REAL :: Field3d(iim,jj_nb,size(field,2))
+    REAL :: Field3d(nbp_lon,jj_nb,size(field,2))
     INTEGER :: ip, n, nlev
     INTEGER, ALLOCATABLE, dimension(:) :: index3d
@@ -409,7 +410,7 @@
     CALL grid1Dto2D_mpi(buffer_omp,field3d)
     if(.NOT.lpoint) THEN
-     ALLOCATE(index3d(iim*jj_nb*nlev))
-     ALLOCATE(fieldok(iim*jj_nb,nlev))
-     CALL histwrite(nid,name,itau,Field3d,iim*jj_nb*nlev,index3d)
+     ALLOCATE(index3d(nbp_lon*jj_nb*nlev))
+     ALLOCATE(fieldok(nbp_lon*jj_nb,nlev))
+     CALL histwrite(nid,name,itau,Field3d,nbp_lon*jj_nb*nlev,index3d)
     else
       nlev=size(field,2)
Index: trunk/LMDZ.TITAN/libf/phytitan/orodrag.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/orodrag.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/orodrag.F	(revision 1530)
@@ -10,7 +10,4 @@
       use dimphy
       IMPLICIT NONE
-
-#include "dimensions.h"
-#include "paramet.h"
 
 c
Index: trunk/LMDZ.TITAN/libf/phytitan/orosetup.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/orosetup.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/orosetup.F	(revision 1530)
@@ -97,7 +97,4 @@
       use dimphy
       implicit none
-
-#include "dimensions.h"
-#include "paramet.h"
 
 #include "YOMCST.h"
Index: trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90	(revision 1530)
@@ -21,5 +21,4 @@
 ! Objet: Lecture de l'etat initial pour la physique
 !======================================================================
-#include "dimensions.h"
 #include "netcdf.inc"
 #include "dimsoil.h"
Index: trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90	(revision 1530)
@@ -20,5 +20,4 @@
 ! Objet: Lecture de l'etat initial pour la physique
 !======================================================================
-#include "dimensions.h"
 #include "netcdf.inc"
 #include "dimsoil.h"
